# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterDDS Class Reference

The LoadWriterDDS class is a ResourceLoadWriter capable of reading DDS files. More...

`#include <vlDDS.hpp>`

Inheritance diagram for vl::LoadWriterDDS:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| LoadWriterDDS ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
bool | writeResource (VirtualFile *, ResourceDatabase *) const

## Detailed Description

The LoadWriterDDS class is a ResourceLoadWriter capable of reading DDS files.

Definition at line 55 of file vlDDS.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterDDS::LoadWriterDDS | ( | ) | `[inline]`

Definition at line 60 of file vlDDS.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::LoadWriterDDS::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

Definition at line 58 of file vlDDS.hpp.

ref<ResourceDatabase> vl::LoadWriterDDS::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 65 of file vlDDS.hpp.

References vl::loadDDS().

ref<ResourceDatabase> vl::LoadWriterDDS::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 74 of file vlDDS.hpp.

References vl::loadDDS().

bool vl::LoadWriterDDS::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 83 of file vlDDS.hpp.

bool vl::LoadWriterDDS::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 88 of file vlDDS.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/vlDDS.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:35.
Permission is granted to use this page to write and publish articles regarding Visualization Library.